DSRW_READ_PACKETS(3)

FUNCTION
dsrw_read_packets - Read the binary representation of many data packets.

SYNOPSIS
#include <karma_dsrw.h>

flag dsrw_read_packets

(Channel channel, CONST packet_desc *descriptor, char *dest, unsigned long num_packets)

DESCRIPTION
This routine will read the binary representation many data packets from a channel object. The routine will recursively read in sub arrays and linked lists.

channel
    The channel object.

descriptor
    The descriptor for the packets.

dest
    The packet data will be written here.

num_packets
    The number of packets to read.

RETURN VALUE
TRUE on success, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/